> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a user

> This endpoint deletes a user account. It is most commonly used when a user stops being a customer of your platform or in conjunction with a GDPR compliance request. Note that this endpoint only deletes the user's account – not any corresponding workflow logs or other data. To remove that data as part of a compliance request, see our 'Delete User Logs' endpoint.




## OpenAPI

````yaml delete /users/{userId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/{userId}:
    delete:
      summary: Delete a user
      description: >-
        This endpoint deletes a user account. It is most commonly used when a
        user stops being a customer of your platform or in conjunction with a
        GDPR compliance request. Note that this endpoint only deletes the user's
        account – not any corresponding workflow logs or other data. To remove
        that data as part of a compliance request, see our 'Delete User Logs'
        endpoint
      operationId: delete-a-user
      parameters:
        - name: userId
          in: path
          description: >-
            The Id of the user you want to lookup. Returned from the Create User
            endpoint. Note: you can also use the Embedded user's `username` in
            this field.
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Unauthorized
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````